## com.sun.jersey.spi.spring.container
Class SpringComponentProviderFactory

    java.lang.Object
      com.sun.jersey.spi.spring.container.SpringComponentProviderFactory

All Implemented Interfaces:
  ComponentProviderFactory<IoCComponentProvider>, IoCComponentProviderFactory

    public class SpringComponentProviderFactory

extends java.lang.Object
implements IoCComponentProviderFactory

The Spring-based `IoCComponentProviderFactory`.

Resource and provider classes can be registered Spring-based beans using XML-based registration or auto-wire-based registration.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`SpringComponentProviderFactory(ResourceConfig rc, org.springframework.context.ConfigurableApplicationContext springContext)`

Method Summary
`IoCComponentProvider` | `getComponentProvider(java.lang.Class c)`
`IoCComponentProvider` | `getComponentProvider(ComponentContext cc, java.lang.Class c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringComponentProviderFactory

    public SpringComponentProviderFactory(ResourceConfig rc,
                                          org.springframework.context.ConfigurableApplicationContext springContext)

Method Detail

### getComponentProvider

    public IoCComponentProvider getComponentProvider(java.lang.Class c)

  Specified by:
    `getComponentProvider` in interface `ComponentProviderFactory<IoCComponentProvider>`
  Specified by:
    `getComponentProvider` in interface `IoCComponentProviderFactory`

### getComponentProvider

    public IoCComponentProvider getComponentProvider(ComponentContext cc,
                                                     java.lang.Class c)

  Specified by:
    `getComponentProvider` in interface `IoCComponentProviderFactory`

Copyright © 2017 Oracle Corporation. All Rights Reserved.